# Introduction

Component-Kit is a powerful charting library that combines UI-Components and
Charting Components. It aids in rapidly creating data driven dashboards.

Charting Components:
+ __[`<XYAxis/>`](XYAxis.md)__ - Component Renders XY Axis, as well as optionally a grid.
+ __[`<AreaChart/>`](AreaChart.md)__ - Component Renders graphically quantitative data.
+ __[`<LineChart/>`](LineChart.md)__ - Component Renders a series of data points connected by straight line segments.
+ __[`<BarChart/>`](BarChart.md)__ - Component Renders vertical bars to show comparisons among categories.
+ __[`<ScatterPlot/>`](ScatterPlot.md)__ - Component Renders a plot based on one or many datasets.
+ __[`<PieChart/>`](PieChart.md)__ - Component Renders a circle is divided into sectors that each represent a proportion of the whole. (set it to Donut chart by passing in donut prop)
+ __[`<RadarChart/>`](RadarChart.md)__ - Component Renders a sequence of equi-angular spokes called radii with an overlayed area(([`<RadarArea/>`](RadarArea.md)) to provide comparisons of the dataset.

Charts Coming soon:
+ __`<RadialBarChart/>`__
+ __`<TreeMap/>`__

UI Components:
+ __[`<Cards/>`](Cards.md)__ - Component renders a card that may take in a chart followed by some descriptions and optionally links.
+ __[`<FooterNavigation/>`](FooterNavigation.md)__ - Component renders a navigation at the footer of the page. Lets you navigate between Dashboards.
+ __[`<Platter/>`](Platter.md)__ - Component renders a rectangle with a nice shadow to that takes in a chart and provides contrast from background.
+ __[`<Panels/>`](Panels.md)__ - Component renders a slim rectangle with a title. When toggled displays content.
+ __[`<Tabs/>`](Tabs.md)__ - Component renders tabs that represent what content to show based on the active tab.

UI Component Coming soon:
+ __`<Navigation/>`__
+ __`<Snackbar/>`__
+ __`<List/>`__
